class DomainException(Exception):
    pass


class ShowingPeriodStartLaterThanEnd(DomainException):
    pass


class TargetingDoesNotMatchSchema(DomainException):
    pass


class InvalidWeekSchedule(DomainException):
    pass


class WrongSetOfCreativesForTheCampaignType(DomainException):
    pass


class MoneyQuantityNotPositive(DomainException):
    pass


class InvalidTimezoneName(DomainException):
    pass


class InvalidCampaignName(DomainException):
    pass


class PublicationEnvsAreEmpty(DomainException):
    pass


class PlatformsAreEmpty(DomainException):
    pass


class PlacingPermalinksAreEmpty(DomainException):
    pass


class PlacingAreasAreEmpty(DomainException):
    pass


class PlacingAreaPolygonIsEmpty(DomainException):
    pass


class CreatvieImagesAreEmpty(DomainException):
    pass


class CampaignCreativesAreEmpty(DomainException):
    pass


class ActionSearchOrganizationsAreEmpty(DomainException):
    pass


class InvalidPlacing(DomainException):
    pass


class CampaignNotFound(DomainException):
    pass


class CampaignNotInReview(DomainException):
    pass


class ReviewCommentEmpty(DomainException):
    pass


class OrderIdConflict(DomainException):
    pass
